Subject: Re: [PATCH] drivers/tty/hvc: using strlcpy instead of strncpy

From: Jiri Slaby <[email-masked]>
Date: Tue, 05 Mar 2013 10:36:43 +0100

On 03/05/2013 02:58 AM, Chen Gang wrote:
> 于 2013年02月28日 21:47, Jiri Slaby 写道:
>>>>   when strlen(&pi->location_code[0]) == HVCS_CLC_LENGTH + 2
>> It cannot, pi->location_code is defined as char[HVCS_CLC_LENGTH + 1].
>>
> 
>   really, it is, I did not notice it.
> 
>   but I still prefer to modify it, but the patch should be changed
>   such as:
>     subject: beautify code: deleting useless judging code.
>     comments: src buf len and dest buf len are the same, strcpy is better.
>     contents: using strcpy instead of strncpy, and delete judging code.
> 
>   is it ok ?

Yeah.

> BTW:
>   sorry for my reply is too late, and did not notify it, originally before.
>     I have to do some urgent things, during these days.
>       my father had a serious heart disease, and is in hospital.

No problem, these drivers are not so critical. Neither these code paths
in them. Take care of your relatives first.

-- 
js
suse labs